<?php
/**************************************************
  Coppermine 1.5.x Plugin - BDW (Bild der Woche)
  *************************************************
  Copyright (c) TankerTom 2012
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
**************************************************/

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }
    
require_once('include/init.inc.php');
require('./plugins/bdw/include/init.inc.php');

$bdw_superCage = Inspekt::makeSuperCage();
global $CONFIG, $lang_plugin_admin_bdw;


$from = 'plugins/bdw/cronjob/cron_bdw.php';
$to   = './cron_bdw.php';

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if($lang_text_dir=='ltr') {
	$align="left";
	$direction="ltr";
}else {
	$align="right";
	$direction="rtl";
}

if ($bdw_superCage->server->keyExists('REQUEST_URI')) {
	$requesturi = $bdw_superCage->server->getEscaped('REQUEST_URI');
}

pageheader($lang_plugin_admin_bdw['display_name']);

if ($bdw_superCage->post->keyExists('submit')) {

 if ($bdw_superCage->post->keyExists('week') == TRUE && $bdw_superCage->post->getEscaped('week') != $CONFIG['bdw_vor']){
            $CONFIG['bdw_vor'] = $bdw_superCage->post->getEscaped('week');
            $query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['bdw_vor']}' WHERE name='bdw_vor'";
    	    cpg_db_query($query);
 }

 if ($bdw_superCage->post->keyExists('week_1') == TRUE && $bdw_superCage->post->getEscaped('week_1') != $CONFIG['bdw_vor_1']){
            $CONFIG['bdw_vor_1'] = $bdw_superCage->post->getEscaped('week_1');
            $query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['bdw_vor_1']}' WHERE name='bdw_vor_1'";
    	    cpg_db_query($query);
 }

 if ($bdw_superCage->post->keyExists('path') == TRUE && $bdw_superCage->post->getEscaped('path') != $CONFIG['bdw_path']){
            $CONFIG['bdw_path'] = $bdw_superCage->post->getEscaped('path');
            $query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['bdw_path']}' WHERE name='bdw_path'";
    	    cpg_db_query($query);
    	    $bdw_path = "./".$CONFIG['fullpath'].$CONFIG['bdw_path'];
    	    if (($CONFIG['bdw_path'] != $CONFIG['userpics']) && !is_dir("./".$CONFIG['fullpath'].$CONFIG['bdw_path'])){
              mkdir("./".$CONFIG['fullpath'].$CONFIG['bdw_path'], 0755);
            }
 }

 if ($superCage->post->keyExists('bdw_random') == TRUE  && $superCage->post->getInt('bdw_random') != $CONFIG['bdw_random']) {
    	$CONFIG['bdw_random'] = $superCage->post->getInt('bdw_random');
        $query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['bdw_random']}' WHERE name='bdw_random'";
    	cpg_db_query($query);
 }

 if ($bdw_superCage->post->keyExists('archiv') == TRUE  && $bdw_superCage->post->getInt('archiv') == '1') {
       $temp = 1;
     } elseif($superCage->post->keyExists('submit') == TRUE) {
       $temp = 0;
     } else {
     	$temp = $CONFIG['bdw_archiv'];
     }
    if ($CONFIG['bdw_archiv'] != $temp){
        $CONFIG['bdw_archiv'] = $temp;
        $query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['bdw_archiv']}' WHERE name='bdw_archiv'";
    	cpg_db_query($query);
      }

 if ($bdw_superCage->post->keyExists('cron') == TRUE  && $bdw_superCage->post->getInt('cron') == '1') {
       $temp = 1;
     } elseif($superCage->post->keyExists('submit') == TRUE) {
       $temp = 0;
     } else {
     	$temp = $CONFIG['bdw_cron'];
     }
    if ($CONFIG['bdw_cron'] != $temp){
        $CONFIG['bdw_cron'] = $temp;
        $query = "UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG['bdw_cron']}' WHERE name='bdw_cron'";
    	cpg_db_query($query);
      }

       if ($CONFIG['bdw_cron'] == '1'){
          if (file_exists($to)) {
             msg_box($lang_plugin_admin_bdw['display_name'], $lang_plugin_admin_bdw['update_success'], $lang_common['continue'], 'pluginmgr.php','100%');
          }else{
            msg_box($lang_plugin_admin_bdw['display_name'], $lang_plugin_admin_bdw['update_success'].$lang_plugin_admin_bdw['update_cron_copy'], $lang_common['continue'], 'pluginmgr.php','100%');
          }
       }else{
          msg_box($lang_plugin_admin_bdw['display_name'], $lang_plugin_admin_bdw['update_success'].$lang_plugin_admin_bdw['update_cron_unlink'], $lang_common['continue'], 'pluginmgr.php','100%');
       }
       
}
    //Cronjob File
    if ($CONFIG['bdw_cron'] == '1') {
        $option_output['bdw_cron'] = 'checked="checked"';
        if (!copy($from, $to)){
           echo "das Anlegen schlug fehl...\n";
        }
      }else{
       unlink($to);
    }
    switch ($CONFIG['bdw_random']){
     case 1:
                $option_output['bdw_random_3'] = '';
                $option_output['bdw_random_2'] = '';
	        $option_output['bdw_random_1'] = 'checked="checked"';
                break;
	    case 2:
	      	$option_output['bdw_random_1'] = '';
	        $option_output['bdw_random_3'] = '';
	        $option_output['bdw_random_2'] = 'checked="checked"';
	        break;
	    case 3:
                $option_output['bdw_random_1'] = '';
                $option_output['bdw_random_2'] = '';
                $option_output['bdw_random_3'] = 'checked="checked"';
	        break;

	    default:
	   	$option_output['bdw_random_2'] = '';
	        $option_output['bdw_random_3'] = '';
	        $option_output['bdw_random_1'] = 'checked="checked"';
	        break;
      }
    if ($CONFIG['bdw_archiv'] == '1') {
      $option_output['bdw_archiv'] = 'checked="checked"';
      }else{
      $option_output['bdw_archiv'] = '';
      }

starttable("100%", $lang_plugin_admin_bdw['display_name'].' - Version '.$lang_plugin_admin_bdw['version']);
echo <<<EOT
<tr>
	<td>
	<form action="{$requesturi}" method="post" name="bdw_settings">
	<table class="maintable" cellspacing="1" cellpadding="0" width="100%" align="{$align}" id="section1" class="maintable $zebra_class">
		<tr>
			<td width="50%">&nbsp;</td>
			<td width="50%">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_admin_bdw['image']}</td>
			<td align="left" class="tableb tableb_alternate">
			<input type="text" id="week" name="week" value="{$CONFIG['bdw_vor']}" size="15">
			</td>
		</tr>
                <tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_admin_bdw['image_1']}</td>
			<td align="left" class="tableb tableb_alternate">
			<input type="text" id="week_1" name="week_1" value="{$CONFIG['bdw_vor_1']}" size="15">
			</td>
		</tr>
		<tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_admin_bdw['path']}</td>
			<td align="left" class="tableb tableb_alternate">
			<input type="text" id="path" name="path" value="{$CONFIG['bdw_path']}" size="15">
			<label for="path"> {$lang_plugin_admin_bdw['path_label']}</label>
			</td>
		</tr>
		<tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_admin_bdw['cron_bdw']}</td>
			<td align="left" class="tableb tableb_alternate">
			<input type="checkbox" name="cron" id="cron" class="checkbox" value="1" {$option_output['bdw_cron']}>
			</td>
		</tr>
		<tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_admin_bdw['archiv']}</td>
			<td align="left" class="tableb tableb_alternate">
			<input type="checkbox" name="archiv" id="archiv" class="checkbox" value="1" {$option_output['bdw_archiv']}>
			</td>
		</tr>
                <tr>
			<td align="right" class="tableb tableb_alternate">{$lang_plugin_admin_bdw['selection']}
			<td align="left" class="tableb tableb_alternate">
			<input type="radio" name="bdw_random" id="bdw_random_1" class="checkbox" value="1" {$option_output['bdw_random_1']}>
			<label for="bdw_random_1"> {$lang_plugin_admin_bdw['random']}</label>
			<br>
                        <input type="radio" name="bdw_random" id="bdw_random_2" class="checkbox" value="2" {$option_output['bdw_random_2']}>
			<label for="bdw_random_2"> {$lang_plugin_admin_bdw['hits']}</label>
			<br>
			<input type="radio" name="bdw_random" id="bdw_random_3" class="checkbox" value="3" {$option_output['bdw_random_3']}>
			<label for="bdw_random_3"> {$lang_plugin_admin_bdw['pic_rating']}</label>
			</td>
		</tr>
                <tr>
			<td colspan="2" align="center" class="tablef"><input name="submit" class="button" type="submit" value="{$lang_plugin_admin_bdw['Yes']}"></td>
		</tr>
        </table>
	</form>
 	</td>
</tr>
<tr>

EOT;

endtable();
pagefooter();
ob_end_flush();
?>