#/**************************************************
#  Coppermine 1.5.x Plugin - BDW (Bild der Woche)
#  *************************************************
#  Copyright (c) TankerTom 2012
#  *************************************************
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#**************************************************/

CREATE TABLE IF NOT EXISTS `cpg_plugins_bdw` (
                                  `pid` INT( 10 ) NOT NULL ,
                                  `filepath` VARCHAR( 100 ) NOT NULL ,
                                  `filename` VARCHAR( 255 ) NOT NULL ,
                                  `title` VARCHAR( 255 ) NOT NULL ,
                                  `owner_id` INT( 3 ) NOT NULL ,
				  `kw_year` VARCHAR( 7 ) NOT NULL ,
				  PRIMARY KEY ( `pid` , `kw_year` )) TYPE = MYISAM ;

INSERT INTO `cpg_config` ( name , value ) VALUES ('bdw_vor', 'thumb_');
INSERT INTO `cpg_config` ( name , value ) VALUES ('bdw_vor_1', 'bdw_');
INSERT INTO `cpg_config` ( name , value ) VALUES ('bdw_random', '1');
INSERT INTO `cpg_config` ( name , value ) VALUES ('bdw_cron', '0');
INSERT INTO `cpg_config` ( name , value ) VALUES ('bdw_path', 'userpics/');
INSERT INTO `cpg_config` ( name , value ) VALUES ('bdw_archiv', '1');
 
ALTER TABLE  `cpg_pictures` ADD COLUMN `bdw` VARCHAR(7) NULL, ADD UNIQUE (`bdw`);
ALTER TABLE  `cpg_pictures` ADD COLUMN `bdw_selection` int(1) NOT NULL DEFAULT '0';